<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>UnexpectedPropertySetTypeException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UnexpectedPropertySetTypeException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/UnexpectedPropertySetTypeException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/TypedPropertyValue.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/UnicodeString.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html" target="_top">Frames</a>
        </li>
        <li><a href="UnexpectedPropertySetTypeException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpsf.HPSFException">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class UnexpectedPropertySetTypeException" class="title">Class UnexpectedPropertySetTypeException</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Throwable</li>
                <li>
                    <ul class="inheritance">
                        <li>java.lang.Exception</li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                       title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.HPSFException</a></li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hpsf.UnexpectedPropertySetTypeException</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">UnexpectedPropertySetTypeException</span>
extends <a href="../../../../org/apache/poi/hpsf/HPSFException.html"
           title="class in org.apache.poi.hpsf">HPSFException</a></pre>
                <div class="block"><p>This exception is thrown if a certain type of property set is
                    expected (e.g. a Document Summary Information) but the provided
                    property set is not of that type.</p>

                    <p>The constructors of this class are analogous to those of its
                        superclass and documented there.</p></div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="../../../../serialized-form.html#org.apache.poi.hpsf.UnexpectedPropertySetTypeException">Serialized
                            Form</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html#UnexpectedPropertySetTypeException--">UnexpectedPropertySetTypeException</a></span>()</code>
                                    <div class="block">Creates an <a
                                            href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                            title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html#UnexpectedPropertySetTypeException-java.lang.String-">UnexpectedPropertySetTypeException</a></span>(java.lang.String&nbsp;msg)</code>
                                    <div class="block">Creates an <a
                                            href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                            title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                        with a message
                                        string.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html#UnexpectedPropertySetTypeException-java.lang.String-java.lang.Throwable-">UnexpectedPropertySetTypeException</a></span>(java.lang.String&nbsp;msg,
                                    java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Creates an <a
                                            href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                            title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                        with a message
                                        string and a reason.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html#UnexpectedPropertySetTypeException-java.lang.Throwable-">UnexpectedPropertySetTypeException</a></span>(java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Creates a new <a
                                            href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                            title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                        with a
                                        reason.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpsf.HPSFException">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpsf.<a
                                        href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                        title="class in org.apache.poi.hpsf">HPSFException</a></h3>
                                <code><a
                                        href="../../../../org/apache/poi/hpsf/HPSFException.html#getReason--">getReason</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
                                <code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage,
                                    getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace,
                                    printStackTrace, setStackTrace, toString</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="UnexpectedPropertySetTypeException--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UnexpectedPropertySetTypeException</h4>
                                <pre>public&nbsp;UnexpectedPropertySetTypeException()</pre>
                                <div class="block"><p>Creates an <a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                        title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>.
                                </p></div>
                            </li>
                        </ul>
                        <a name="UnexpectedPropertySetTypeException-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UnexpectedPropertySetTypeException</h4>
                                <pre>public&nbsp;UnexpectedPropertySetTypeException(java.lang.String&nbsp;msg)</pre>
                                <div class="block"><p>Creates an <a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                        title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                    with a message
                                    string.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - The message string.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="UnexpectedPropertySetTypeException-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UnexpectedPropertySetTypeException</h4>
                                <pre>public&nbsp;UnexpectedPropertySetTypeException(java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Creates a new <a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                        title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                    with a
                                    reason.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>reason</code> - The reason, i.e. a throwable that indirectly
                                        caused this exception.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="UnexpectedPropertySetTypeException-java.lang.String-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UnexpectedPropertySetTypeException</h4>
                                <pre>public&nbsp;UnexpectedPropertySetTypeException(java.lang.String&nbsp;msg,
                                          java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Creates an <a
                                        href="../../../../org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                        title="class in org.apache.poi.hpsf"><code>UnexpectedPropertySetTypeException</code></a>
                                    with a message
                                    string and a reason.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - The message string.</dd>
                                    <dd><code>reason</code> - The reason, i.e. a throwable that indirectly
                                        caused this exception.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/UnexpectedPropertySetTypeException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/TypedPropertyValue.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/UnicodeString.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html" target="_top">Frames</a>
        </li>
        <li><a href="UnexpectedPropertySetTypeException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpsf.HPSFException">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
